IXP_DIAL(3)

NAME

ixp_dial, ixp_announce

SYNOPSIS
  #include <ixp.h>

  int ixp_dial(const char *address);

  int ixp_announce(const char *address);

PARAMETERS

address
    An address on which to connect or listen, specified in the Plan 9 resources specification format (<protocol>!address[!<port>])

DESCRIPTION

These functions hide some of the ugliness of Berkely Sockets. ixp_dial connects to the resource at IaddressR, while ixp_announce begins listening on IaddressR.

RETURN VALUE

These functions return file descriptors on success, and -1 on failure. ixp_errbuf(3) may be inspected on failure.

SEE ALSO

socket(2)